"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.UnsupportedProtocolError=exports.ReadError=exports.TimeoutError=exports.UploadError=exports.CacheError=exports.HTTPError=exports.MaxRedirectsError=exports.RequestError=exports.setNonEnumerableProperties=exports.knownHookEvents=exports.withoutBody=exports.kIsNormalizedAlready=void 0;const util_1=require("util"),stream_1=require("stream"),fs_1=require("fs"),url_1=require("url"),http=require("http"),http_1=require("http"),https=require("https"),http_timer_1=require("@szmarczak/http-timer"),cacheable_lookup_1=require("cacheable-lookup"),CacheableRequest=require("cacheable-request"),decompressResponse=require("decompress-response"),http2wrapper=require("http2-wrapper"),lowercaseKeys=require("lowercase-keys"),is_1=require("@sindresorhus/is"),get_body_size_1=require("./utils/get-body-size"),is_form_data_1=require("./utils/is-form-data"),proxy_events_1=require("./utils/proxy-events"),timed_out_1=require("./utils/timed-out"),url_to_options_1=require("./utils/url-to-options"),options_to_url_1=require("./utils/options-to-url"),weakable_map_1=require("./utils/weakable-map"),get_buffer_1=require("./utils/get-buffer"),dns_ip_version_1=require("./utils/dns-ip-version"),is_response_ok_1=require("./utils/is-response-ok"),deprecation_warning_1=require("../utils/deprecation-warning"),normalize_arguments_1=require("../as-promise/normalize-arguments"),calculate_retry_delay_1=require("./calculate-retry-delay");let globalDnsCache;const kRequest=Symbol("request"),kResponse=Symbol("response"),kResponseSize=Symbol("responseSize"),kDownloadedSize=Symbol("downloadedSize"),kBodySize=Symbol("bodySize"),kUploadedSize=Symbol("uploadedSize"),kServerResponsesPiped=Symbol("serverResponsesPiped"),kUnproxyEvents=Symbol("unproxyEvents"),kIsFromCache=Symbol("isFromCache"),kCancelTimeouts=Symbol("cancelTimeouts"),kStartedReading=Symbol("startedReading"),kStopReading=Symbol("stopReading"),kTriggerRead=Symbol("triggerRead"),kBody=Symbol("body"),kJobs=Symbol("jobs"),kOriginalResponse=Symbol("originalResponse"),kRetryTimeout=Symbol("retryTimeout");exports.kIsNormalizedAlready=Symbol("isNormalizedAlready");const supportsBrotli=is_1.default.string(process.versions.brotli);function validateSearchParameters(e){for(const t in e){const s=e[t];if(!(is_1.default.string(s)||is_1.default.number(s)||is_1.default.boolean(s)||is_1.default.null_(s)||is_1.default.undefined(s)))throw new TypeError(`The \`searchParams\` value '${String(s)}' must be a string, number, boolean or null`)}}function isClientRequest(e){return is_1.default.object(e)&&!("statusCode"in e)}exports.withoutBody=new Set(["GET","HEAD"]),exports.knownHookEvents=["init","beforeRequest","beforeRedirect","beforeError","beforeRetry","afterResponse"];const cacheableStore=new weakable_map_1.default,waitForOpenFile=async e=>new Promise(((t,s)=>{const r=e=>{s(e)};e.pending||t(),e.once("error",r),e.once("ready",(()=>{e.off("error",r),t()}))})),redirectCodes=new Set([300,301,302,303,304,307,308]),nonEnumerableProperties=["context","body","json","form"];exports.setNonEnumerableProperties=(e,t)=>{const s={};for(const t of e)if(t)for(const e of nonEnumerableProperties)e in t&&(s[e]={writable:!0,configurable:!0,enumerable:!1,value:t[e]});Object.defineProperties(t,s)};class RequestError extends Error{constructor(e,t,s){var r;if(super(e),Error.captureStackTrace(this,this.constructor),this.name="RequestError",this.code=t.code,s instanceof Request?(Object.defineProperty(this,"request",{enumerable:!1,value:s}),Object.defineProperty(this,"response",{enumerable:!1,value:s[kResponse]}),Object.defineProperty(this,"options",{enumerable:!1,value:s.options})):Object.defineProperty(this,"options",{enumerable:!1,value:s}),this.timings=null===(r=this.request)||void 0===r?void 0:r.timings,is_1.default.string(t.stack)&&is_1.default.string(this.stack)){const e=this.stack.indexOf(this.message)+this.message.length,s=this.stack.slice(e).split("\n").reverse(),r=t.stack.slice(t.stack.indexOf(t.message)+t.message.length).split("\n").reverse();for(;0!==r.length&&r[0]===s[0];)s.shift();this.stack=`${this.stack.slice(0,e)}${s.reverse().join("\n")}${r.reverse().join("\n")}`}}}exports.RequestError=RequestError;class MaxRedirectsError extends RequestError{constructor(e){super(`Redirected ${e.options.maxRedirects} times. Aborting.`,{},e),this.name="MaxRedirectsError"}}exports.MaxRedirectsError=MaxRedirectsError;class HTTPError extends RequestError{constructor(e){super(`Response code ${e.statusCode} (${e.statusMessage})`,{},e.request),this.name="HTTPError"}}exports.HTTPError=HTTPError;class CacheError extends RequestError{constructor(e,t){super(e.message,e,t),this.name="CacheError"}}exports.CacheError=CacheError;class UploadError extends RequestError{constructor(e,t){super(e.message,e,t),this.name="UploadError"}}exports.UploadError=UploadError;class TimeoutError extends RequestError{constructor(e,t,s){super(e.message,e,s),this.name="TimeoutError",this.event=e.event,this.timings=t}}exports.TimeoutError=TimeoutError;class ReadError extends RequestError{constructor(e,t){super(e.message,e,t),this.name="ReadError"}}exports.ReadError=ReadError;class UnsupportedProtocolError extends RequestError{constructor(e){super(`Unsupported protocol "${e.url.protocol}"`,{},e),this.name="UnsupportedProtocolError"}}exports.UnsupportedProtocolError=UnsupportedProtocolError;const proxiedRequestEvents=["socket","connect","continue","information","upgrade","timeout"];class Request extends stream_1.Duplex{constructor(e,t={},s){super({autoDestroy:!1,highWaterMark:0}),this[kDownloadedSize]=0,this[kUploadedSize]=0,this.requestInitialized=!1,this[kServerResponsesPiped]=new Set,this.redirects=[],this[kStopReading]=!1,this[kTriggerRead]=!1,this[kJobs]=[],this.retryCount=0,this._progressCallbacks=[];const r=()=>this._unlockWrite(),o=()=>this._lockWrite();this.on("pipe",(e=>{e.prependListener("data",r),e.on("data",o),e.prependListener("end",r),e.on("end",o)})),this.on("unpipe",(e=>{e.off("data",r),e.off("data",o),e.off("end",r),e.off("end",o)})),this.on("pipe",(e=>{e instanceof http_1.IncomingMessage&&(this.options.headers={...e.headers,...this.options.headers})}));const{json:i,body:n,form:a}=t;if((i||n||a)&&this._lockWrite(),exports.kIsNormalizedAlready in t)this.options=t;else try{this.options=this.constructor.normalizeArguments(e,t,s)}catch(e){return is_1.default.nodeStream(t.body)&&t.body.destroy(),void this.destroy(e)}(async()=>{var e;try{this.options.body instanceof fs_1.ReadStream&&await waitForOpenFile(this.options.body);const{url:t}=this.options;if(!t)throw new TypeError("Missing `url` property");if(this.requestUrl=t.toString(),decodeURI(this.requestUrl),await this._finalizeBody(),await this._makeRequest(),this.destroyed)return void(null===(e=this[kRequest])||void 0===e||e.destroy());for(const e of this[kJobs])e();this[kJobs].length=0,this.requestInitialized=!0}catch(e){if(e instanceof RequestError)return void this._beforeError(e);this.destroyed||this.destroy(e)}})()}static normalizeArguments(e,t,s){var r,o,i,n,a;const d=t;if(is_1.default.object(e)&&!is_1.default.urlInstance(e))t={...s,...e,...t};else{if(e&&t&&void 0!==t.url)throw new TypeError("The `url` option is mutually exclusive with the `input` argument");t={...s,...t},void 0!==e&&(t.url=e),is_1.default.urlInstance(t.url)&&(t.url=new url_1.URL(t.url.toString()))}if(!1===t.cache&&(t.cache=void 0),!1===t.dnsCache&&(t.dnsCache=void 0),is_1.assert.any([is_1.default.string,is_1.default.undefined],t.method),is_1.assert.any([is_1.default.object,is_1.default.undefined],t.headers),is_1.assert.any([is_1.default.string,is_1.default.urlInstance,is_1.default.undefined],t.prefixUrl),is_1.assert.any([is_1.default.object,is_1.default.undefined],t.cookieJar),is_1.assert.any([is_1.default.object,is_1.default.string,is_1.default.undefined],t.searchParams),is_1.assert.any([is_1.default.object,is_1.default.string,is_1.default.undefined],t.cache),is_1.assert.any([is_1.default.object,is_1.default.number,is_1.default.undefined],t.timeout),is_1.assert.any([is_1.default.object,is_1.default.undefined],t.context),is_1.assert.any([is_1.default.object,is_1.default.undefined],t.hooks),is_1.assert.any([is_1.default.boolean,is_1.default.undefined],t.decompress),is_1.assert.any([is_1.default.boolean,is_1.default.undefined],t.ignoreInvalidCookies),is_1.assert.any([is_1.default.boolean,is_1.default.undefined],t.followRedirect),is_1.assert.any([is_1.default.number,is_1.default.undefined],t.maxRedirects),is_1.assert.any([is_1.default.boolean,is_1.default.undefined],t.throwHttpErrors),is_1.assert.any([is_1.default.boolean,is_1.default.undefined],t.http2),is_1.assert.any([is_1.default.boolean,is_1.default.undefined],t.allowGetBody),is_1.assert.any([is_1.default.string,is_1.default.undefined],t.localAddress),is_1.assert.any([dns_ip_version_1.isDnsLookupIpVersion,is_1.default.undefined],t.dnsLookupIpVersion),is_1.assert.any([is_1.default.object,is_1.default.undefined],t.https),is_1.assert.any([is_1.default.boolean,is_1.default.undefined],t.rejectUnauthorized),t.https&&(is_1.assert.any([is_1.default.boolean,is_1.default.undefined],t.https.rejectUnauthorized),is_1.assert.any([is_1.default.function_,is_1.default.undefined],t.https.checkServerIdentity),is_1.assert.any([is_1.default.string,is_1.default.object,is_1.default.array,is_1.default.undefined],t.https.certificateAuthority),is_1.assert.any([is_1.default.string,is_1.default.object,is_1.default.array,is_1.default.undefined],t.https.key),is_1.assert.any([is_1.default.string,is_1.default.object,is_1.default.array,is_1.default.undefined],t.https.certificate),is_1.assert.any([is_1.default.string,is_1.default.undefined],t.https.passphrase),is_1.assert.any([is_1.default.string,is_1.default.buffer,is_1.default.array,is_1.default.undefined],t.https.pfx)),is_1.assert.any([is_1.default.object,is_1.default.undefined],t.cacheOptions),is_1.default.string(t.method)?t.method=t.method.toUpperCase():t.method="GET",t.headers===(null==s?void 0:s.headers)?t.headers={...t.headers}:t.headers=lowercaseKeys({...null==s?void 0:s.headers,...t.headers}),"slashes"in t)throw new TypeError("The legacy `url.Url` has been deprecated. Use `URL` instead.");if("auth"in t)throw new TypeError("Parameter `auth` is deprecated. Use `username` / `password` instead.");if("searchParams"in t&&t.searchParams&&t.searchParams!==(null==s?void 0:s.searchParams)){let e;if(is_1.default.string(t.searchParams)||t.searchParams instanceof url_1.URLSearchParams)e=new url_1.URLSearchParams(t.searchParams);else{validateSearchParameters(t.searchParams),e=new url_1.URLSearchParams;for(const s in t.searchParams){const r=t.searchParams[s];null===r?e.append(s,""):void 0!==r&&e.append(s,r)}}null===(r=null==s?void 0:s.searchParams)||void 0===r||r.forEach(((t,s)=>{e.has(s)||e.append(s,t)})),t.searchParams=e}if(t.username=null!==(o=t.username)&&void 0!==o?o:"",t.password=null!==(i=t.password)&&void 0!==i?i:"",is_1.default.undefined(t.prefixUrl)?t.prefixUrl=null!==(n=null==s?void 0:s.prefixUrl)&&void 0!==n?n:"":(t.prefixUrl=t.prefixUrl.toString(),""===t.prefixUrl||t.prefixUrl.endsWith("/")||(t.prefixUrl+="/")),is_1.default.string(t.url)){if(t.url.startsWith("/"))throw new Error("`input` must not start with a slash when using `prefixUrl`");t.url=options_to_url_1.default(t.prefixUrl+t.url,t)}else(is_1.default.undefined(t.url)&&""!==t.prefixUrl||t.protocol)&&(t.url=options_to_url_1.default(t.prefixUrl,t));if(t.url){"port"in t&&delete t.port;let{prefixUrl:e}=t;Object.defineProperty(t,"prefixUrl",{set:s=>{const r=t.url;if(!r.href.startsWith(s))throw new Error(`Cannot change \`prefixUrl\` from ${e} to ${s}: ${r.href}`);t.url=new url_1.URL(s+r.href.slice(e.length)),e=s},get:()=>e});let{protocol:s}=t.url;if("unix:"===s&&(s="http:",t.url=new url_1.URL(`http://unix${t.url.pathname}${t.url.search}`)),t.searchParams&&(t.url.search=t.searchParams.toString()),"http:"!==s&&"https:"!==s)throw new UnsupportedProtocolError(t);""===t.username?t.username=t.url.username:t.url.username=t.username,""===t.password?t.password=t.url.password:t.url.password=t.password}const{cookieJar:u}=t;if(u){let{setCookie:e,getCookieString:s}=u;is_1.assert.function_(e),is_1.assert.function_(s),4===e.length&&0===s.length&&(e=util_1.promisify(e.bind(t.cookieJar)),s=util_1.promisify(s.bind(t.cookieJar)),t.cookieJar={setCookie:e,getCookieString:s})}const{cache:l}=t;if(l&&(cacheableStore.has(l)||cacheableStore.set(l,new CacheableRequest(((e,t)=>{const s=e[kRequest](e,t);return is_1.default.promise(s)&&(s.once=(e,t)=>{if("error"===e)s.catch(t);else{if("abort"!==e)throw new Error(`Unknown HTTP2 promise event: ${e}`);(async()=>{try{(await s).once("abort",t)}catch(e){}})()}return s}),s}),l))),t.cacheOptions={...t.cacheOptions},!0===t.dnsCache)globalDnsCache||(globalDnsCache=new cacheable_lookup_1.default),t.dnsCache=globalDnsCache;else if(!is_1.default.undefined(t.dnsCache)&&!t.dnsCache.lookup)throw new TypeError(`Parameter \`dnsCache\` must be a CacheableLookup instance or a boolean, got ${is_1.default(t.dnsCache)}`);is_1.default.number(t.timeout)?t.timeout={request:t.timeout}:s&&t.timeout!==s.timeout?t.timeout={...s.timeout,...t.timeout}:t.timeout={...t.timeout},t.context||(t.context={});const h=t.hooks===(null==s?void 0:s.hooks);t.hooks={...t.hooks};for(const e of exports.knownHookEvents)if(e in t.hooks){if(!is_1.default.array(t.hooks[e]))throw new TypeError(`Parameter \`${e}\` must be an Array, got ${is_1.default(t.hooks[e])}`);t.hooks[e]=[...t.hooks[e]]}else t.hooks[e]=[];if(s&&!h)for(const e of exports.knownHookEvents)s.hooks[e].length>0&&(t.hooks[e]=[...s.hooks[e],...t.hooks[e]]);if("family"in t&&deprecation_warning_1.default('"options.family" was never documented, please use "options.dnsLookupIpVersion"'),(null==s?void 0:s.https)&&(t.https={...s.https,...t.https}),"rejectUnauthorized"in t&&deprecation_warning_1.default('"options.rejectUnauthorized" is now deprecated, please use "options.https.rejectUnauthorized"'),"checkServerIdentity"in t&&deprecation_warning_1.default('"options.checkServerIdentity" was never documented, please use "options.https.checkServerIdentity"'),"ca"in t&&deprecation_warning_1.default('"options.ca" was never documented, please use "options.https.certificateAuthority"'),"key"in t&&deprecation_warning_1.default('"options.key" was never documented, please use "options.https.key"'),"cert"in t&&deprecation_warning_1.default('"options.cert" was never documented, please use "options.https.certificate"'),"passphrase"in t&&deprecation_warning_1.default('"options.passphrase" was never documented, please use "options.https.passphrase"'),"pfx"in t&&deprecation_warning_1.default('"options.pfx" was never documented, please use "options.https.pfx"'),"followRedirects"in t)throw new TypeError("The `followRedirects` option does not exist. Use `followRedirect` instead.");if(t.agent)for(const e in t.agent)if("http"!==e&&"https"!==e&&"http2"!==e)throw new TypeError(`Expected the \`options.agent\` properties to be \`http\`, \`https\` or \`http2\`, got \`${e}\``);return t.maxRedirects=null!==(a=t.maxRedirects)&&void 0!==a?a:0,exports.setNonEnumerableProperties([s,d],t),normalize_arguments_1.default(t,s)}_lockWrite(){const e=()=>{throw new TypeError("The payload has been already provided")};this.write=e,this.end=e}_unlockWrite(){this.write=super.write,this.end=super.end}async _finalizeBody(){const{options:e}=this,{headers:t}=e,s=!is_1.default.undefined(e.form),r=!is_1.default.undefined(e.json),o=!is_1.default.undefined(e.body),i=s||r||o,n=exports.withoutBody.has(e.method)&&!("GET"===e.method&&e.allowGetBody);if(this._cannotHaveBody=n,i){if(n)throw new TypeError(`The \`${e.method}\` method cannot be used with a body`);if([o,s,r].filter((e=>e)).length>1)throw new TypeError("The `body`, `json` and `form` options are mutually exclusive");if(o&&!(e.body instanceof stream_1.Readable)&&!is_1.default.string(e.body)&&!is_1.default.buffer(e.body)&&!is_form_data_1.default(e.body))throw new TypeError("The `body` option must be a stream.Readable, string or Buffer");if(s&&!is_1.default.object(e.form))throw new TypeError("The `form` option must be an Object");{const r=!is_1.default.string(t["content-type"]);o?(is_form_data_1.default(e.body)&&r&&(t["content-type"]=`multipart/form-data; boundary=${e.body.getBoundary()}`),this[kBody]=e.body):s?(r&&(t["content-type"]="application/x-www-form-urlencoded"),this[kBody]=new url_1.URLSearchParams(e.form).toString()):(r&&(t["content-type"]="application/json"),this[kBody]=e.stringifyJson(e.json));const i=await get_body_size_1.default(this[kBody],e.headers);is_1.default.undefined(t["content-length"])&&is_1.default.undefined(t["transfer-encoding"])&&(n||is_1.default.undefined(i)||(t["content-length"]=String(i)))}}else n?this._lockWrite():this._unlockWrite();this[kBodySize]=Number(t["content-length"])||void 0}async _onResponseBase(e){const{options:t}=this,{url:s}=t;this[kOriginalResponse]=e,t.decompress&&(e=decompressResponse(e));const r=e.statusCode,o=e;o.statusMessage=o.statusMessage?o.statusMessage:http.STATUS_CODES[r],o.url=t.url.toString(),o.requestUrl=this.requestUrl,o.redirectUrls=this.redirects,o.request=this,o.isFromCache=e.fromCache||!1,o.ip=this.ip,o.retryCount=this.retryCount,this[kIsFromCache]=o.isFromCache,this[kResponseSize]=Number(e.headers["content-length"])||void 0,this[kResponse]=e,e.once("end",(()=>{this[kResponseSize]=this[kDownloadedSize],this.emit("downloadProgress",this.downloadProgress)})),e.once("error",(t=>{e.destroy(),this._beforeError(new ReadError(t,this))})),e.once("aborted",(()=>{this._beforeError(new ReadError({name:"Error",message:"The server aborted pending request",code:"ECONNRESET"},this))})),this.emit("downloadProgress",this.downloadProgress);const i=e.headers["set-cookie"];if(is_1.default.object(t.cookieJar)&&i){let e=i.map((async e=>t.cookieJar.setCookie(e,s.toString())));t.ignoreInvalidCookies&&(e=e.map((async e=>e.catch((()=>{})))));try{await Promise.all(e)}catch(e){return void this._beforeError(e)}}if(t.followRedirect&&e.headers.location&&redirectCodes.has(r)){if(e.resume(),this[kRequest]&&(this[kCancelTimeouts](),delete this[kRequest],this[kUnproxyEvents]()),!(303===r&&"GET"!==t.method&&"HEAD"!==t.method)&&t.methodRewriting||(t.method="GET","body"in t&&delete t.body,"json"in t&&delete t.json,"form"in t&&delete t.form,this[kBody]=void 0,delete t.headers["content-length"]),this.redirects.length>=t.maxRedirects)return void this._beforeError(new MaxRedirectsError(this));try{const r=Buffer.from(e.headers.location,"binary").toString(),i=new url_1.URL(r,s),n=i.toString();decodeURI(n),i.hostname!==s.hostname||i.port!==s.port?("host"in t.headers&&delete t.headers.host,"cookie"in t.headers&&delete t.headers.cookie,"authorization"in t.headers&&delete t.headers.authorization,(t.username||t.password)&&(t.username="",t.password="")):(i.username=t.username,i.password=t.password),this.redirects.push(n),t.url=i;for(const e of t.hooks.beforeRedirect)await e(t,o);this.emit("redirect",o,t),await this._makeRequest()}catch(e){return void this._beforeError(e)}}else if(t.isStream&&t.throwHttpErrors&&!is_response_ok_1.isResponseOk(o))this._beforeError(new HTTPError(o));else{e.on("readable",(()=>{this[kTriggerRead]&&this._read()})),this.on("resume",(()=>{e.resume()})),this.on("pause",(()=>{e.pause()})),e.once("end",(()=>{this.push(null)})),this.emit("response",e);for(const s of this[kServerResponsesPiped])if(!s.headersSent){for(const r in e.headers){const o=!t.decompress||"content-encoding"!==r,i=e.headers[r];o&&s.setHeader(r,i)}s.statusCode=r}}}async _onResponse(e){try{await this._onResponseBase(e)}catch(e){this._beforeError(e)}}_onRequest(e){const{options:t}=this,{timeout:s,url:r}=t;http_timer_1.default(e),this[kCancelTimeouts]=timed_out_1.default(e,s,r);const o=t.cache?"cacheableResponse":"response";e.once(o,(e=>{this._onResponse(e)})),e.once("error",(t=>{var s;e.destroy(),null===(s=e.res)||void 0===s||s.removeAllListeners("end"),t=t instanceof timed_out_1.TimeoutError?new TimeoutError(t,this.timings,this):new RequestError(t.message,t,this),this._beforeError(t)})),this[kUnproxyEvents]=proxy_events_1.default(e,this,proxiedRequestEvents),this[kRequest]=e,this.emit("uploadProgress",this.uploadProgress);const i=this[kBody],n=0===this.redirects.length?this:e;is_1.default.nodeStream(i)?(i.pipe(n),i.once("error",(e=>{this._beforeError(new UploadError(e,this))}))):(this._unlockWrite(),is_1.default.undefined(i)?(this._cannotHaveBody||this._noPipe)&&(n.end(),this._lockWrite()):(this._writeRequest(i,void 0,(()=>{})),n.end(),this._lockWrite())),this.emit("request",e)}async _createCacheableRequest(e,t){return new Promise(((s,r)=>{let o;Object.assign(t,url_to_options_1.default(e)),delete t.url;const i=cacheableStore.get(t.cache)(t,(async e=>{e._readableState.autoDestroy=!1,o&&(await o).emit("cacheableResponse",e),s(e)}));t.url=e,i.once("error",r),i.once("request",(async e=>{o=e,s(o)}))}))}async _makeRequest(){var e,t,s,r,o;const{options:i}=this,{headers:n}=i;for(const e in n)if(is_1.default.undefined(n[e]))delete n[e];else if(is_1.default.null_(n[e]))throw new TypeError(`Use \`undefined\` instead of \`null\` to delete the \`${e}\` header`);if(i.decompress&&is_1.default.undefined(n["accept-encoding"])&&(n["accept-encoding"]=supportsBrotli?"gzip, deflate, br":"gzip, deflate"),i.cookieJar){const e=await i.cookieJar.getCookieString(i.url.toString());is_1.default.nonEmptyString(e)&&(i.headers.cookie=e)}for(const e of i.hooks.beforeRequest){const t=await e(i);if(!is_1.default.undefined(t)){i.request=()=>t;break}}i.body&&this[kBody]!==i.body&&(this[kBody]=i.body);const{agent:a,request:d,timeout:u,url:l}=i;if(i.dnsCache&&!("lookup"in i)&&(i.lookup=i.dnsCache.lookup),"unix"===l.hostname){const e=/(?<socketPath>.+?):(?<path>.+)/.exec(`${l.pathname}${l.search}`);if(null==e?void 0:e.groups){const{socketPath:t,path:s}=e.groups;Object.assign(i,{socketPath:t,path:s,host:""})}}const h="https:"===l.protocol;let c;c=i.http2?http2wrapper.auto:h?https.request:http.request;const p=null!==(e=i.request)&&void 0!==e?e:c,f=i.cache?this._createCacheableRequest:p;a&&!i.http2&&(i.agent=a[h?"https":"http"]),i[kRequest]=p,delete i.request,delete i.timeout;const _=i;if(_.shared=null===(t=i.cacheOptions)||void 0===t?void 0:t.shared,_.cacheHeuristic=null===(s=i.cacheOptions)||void 0===s?void 0:s.cacheHeuristic,_.immutableMinTimeToLive=null===(r=i.cacheOptions)||void 0===r?void 0:r.immutableMinTimeToLive,_.ignoreCargoCult=null===(o=i.cacheOptions)||void 0===o?void 0:o.ignoreCargoCult,void 0!==i.dnsLookupIpVersion)try{_.family=dns_ip_version_1.dnsLookupIpVersionToFamily(i.dnsLookupIpVersion)}catch(e){throw new Error("Invalid `dnsLookupIpVersion` option value")}i.https&&("rejectUnauthorized"in i.https&&(_.rejectUnauthorized=i.https.rejectUnauthorized),i.https.checkServerIdentity&&(_.checkServerIdentity=i.https.checkServerIdentity),i.https.certificateAuthority&&(_.ca=i.https.certificateAuthority),i.https.certificate&&(_.cert=i.https.certificate),i.https.key&&(_.key=i.https.key),i.https.passphrase&&(_.passphrase=i.https.passphrase),i.https.pfx&&(_.pfx=i.https.pfx));try{let e=await f(l,_);is_1.default.undefined(e)&&(e=c(l,_)),i.request=d,i.timeout=u,i.agent=a,i.https&&("rejectUnauthorized"in i.https&&delete _.rejectUnauthorized,i.https.checkServerIdentity&&delete _.checkServerIdentity,i.https.certificateAuthority&&delete _.ca,i.https.certificate&&delete _.cert,i.https.key&&delete _.key,i.https.passphrase&&delete _.passphrase,i.https.pfx&&delete _.pfx),isClientRequest(e)?this._onRequest(e):this.writable?(this.once("finish",(()=>{this._onResponse(e)})),this._unlockWrite(),this.end(),this._lockWrite()):this._onResponse(e)}catch(e){if(e instanceof CacheableRequest.CacheError)throw new CacheError(e,this);throw new RequestError(e.message,e,this)}}async _error(e){try{for(const t of this.options.hooks.beforeError)e=await t(e)}catch(t){e=new RequestError(t.message,t,this)}this.destroy(e)}_beforeError(e){if(this[kStopReading])return;const{options:t}=this,s=this.retryCount+1;this[kStopReading]=!0,e instanceof RequestError||(e=new RequestError(e.message,e,this));const r=e,{response:o}=r;(async()=>{if(o&&!o.body){o.setEncoding(this._readableState.encoding);try{o.rawBody=await get_buffer_1.default(o),o.body=o.rawBody.toString()}catch(e){}}if(0!==this.listenerCount("retry")){let i;try{let e;o&&"retry-after"in o.headers&&(e=Number(o.headers["retry-after"]),Number.isNaN(e)?(e=Date.parse(o.headers["retry-after"])-Date.now(),e<=0&&(e=1)):e*=1e3),i=await t.retry.calculateDelay({attemptCount:s,retryOptions:t.retry,error:r,retryAfter:e,computedValue:calculate_retry_delay_1.default({attemptCount:s,retryOptions:t.retry,error:r,retryAfter:e,computedValue:0})})}catch(e){return void this._error(new RequestError(e.message,e,this))}if(i){const t=async()=>{try{for(const e of this.options.hooks.beforeRetry)await e(this.options,r,s)}catch(t){return void this._error(new RequestError(t.message,e,this))}this.destroyed||(this.destroy(),this.emit("retry",s,e))};return void(this[kRetryTimeout]=setTimeout(t,i))}}this._error(r)})()}_read(){this[kTriggerRead]=!0;const e=this[kResponse];if(e&&!this[kStopReading]){let t;for(e.readableLength&&(this[kTriggerRead]=!1);null!==(t=e.read());){this[kDownloadedSize]+=t.length,this[kStartedReading]=!0;const e=this.downloadProgress;e.percent<1&&this.emit("downloadProgress",e),this.push(t)}}}_write(e,t,s){const r=()=>{this._writeRequest(e,t,s)};this.requestInitialized?r():this[kJobs].push(r)}_writeRequest(e,t,s){this[kRequest].destroyed||(this._progressCallbacks.push((()=>{this[kUploadedSize]+=Buffer.byteLength(e,t);const s=this.uploadProgress;s.percent<1&&this.emit("uploadProgress",s)})),this[kRequest].write(e,t,(e=>{!e&&this._progressCallbacks.length>0&&this._progressCallbacks.shift()(),s(e)})))}_final(e){const t=()=>{for(;0!==this._progressCallbacks.length;)this._progressCallbacks.shift()();kRequest in this?this[kRequest].destroyed?e():this[kRequest].end((t=>{t||(this[kBodySize]=this[kUploadedSize],this.emit("uploadProgress",this.uploadProgress),this[kRequest].emit("upload-complete")),e(t)})):e()};this.requestInitialized?t():this[kJobs].push(t)}_destroy(e,t){var s;this[kStopReading]=!0,clearTimeout(this[kRetryTimeout]),kRequest in this&&(this[kCancelTimeouts](),(null===(s=this[kResponse])||void 0===s?void 0:s.complete)||this[kRequest].destroy()),null===e||is_1.default.undefined(e)||e instanceof RequestError||(e=new RequestError(e.message,e,this)),t(e)}get _isAboutToError(){return this[kStopReading]}get ip(){var e;return null===(e=this.socket)||void 0===e?void 0:e.remoteAddress}get aborted(){var e,t,s;return(null!==(t=null===(e=this[kRequest])||void 0===e?void 0:e.destroyed)&&void 0!==t?t:this.destroyed)&&!(null===(s=this[kOriginalResponse])||void 0===s?void 0:s.complete)}get socket(){var e,t;return null!==(t=null===(e=this[kRequest])||void 0===e?void 0:e.socket)&&void 0!==t?t:void 0}get downloadProgress(){let e;return e=this[kResponseSize]?this[kDownloadedSize]/this[kResponseSize]:this[kResponseSize]===this[kDownloadedSize]?1:0,{percent:e,transferred:this[kDownloadedSize],total:this[kResponseSize]}}get uploadProgress(){let e;return e=this[kBodySize]?this[kUploadedSize]/this[kBodySize]:this[kBodySize]===this[kUploadedSize]?1:0,{percent:e,transferred:this[kUploadedSize],total:this[kBodySize]}}get timings(){var e;return null===(e=this[kRequest])||void 0===e?void 0:e.timings}get isFromCache(){return this[kIsFromCache]}pipe(e,t){if(this[kStartedReading])throw new Error("Failed to pipe. The response has been emitted already.");return e instanceof http_1.ServerResponse&&this[kServerResponsesPiped].add(e),super.pipe(e,t)}unpipe(e){return e instanceof http_1.ServerResponse&&this[kServerResponsesPiped].delete(e),super.unpipe(e),this}}exports.default=Request;