"use strict";var test=require("tape"),convert=require("./"),AudioBuffer=require("audio-buffer"),isAudioBuffer=require("is-audio-buffer"),ABList=require("audio-buffer-list");test("floatLE to int16BE",(function(e){var t=new Buffer(8);t.writeFloatLE(1,0),t.writeFloatLE(-.5,4);var r=convert(t,"float32 le","int16 be"),a=(r=Buffer.from(r.buffer)).readInt16BE(0),n=r.readInt16BE(2);e.equal(Math.pow(2,15)-1,a),e.equal(-Math.pow(2,14),n),e.end()})),test("endianness",(e=>{var t=new Float32Array([1,-.5]),r=convert(t,"float32 le","be"),a=(r=Buffer.from(r.buffer)).readFloatBE(0),n=r.readFloatBE(4);e.equal(a,1),e.equal(n,-.5),e.end()})),test("markers",(function(e){let t=convert(new Uint8Array([0,255,255,0,0,255]),"interleaved","float32 planar");e.deepEqual(t,[-1,1,-1,1,-1,1]),e.end()})),test("bad markers",(function(e){e.throws((()=>{convert([0,0,0,0],"float32 xx")})),e.end()})),test("float to whatever",(e=>{e.deepEqual(convert(new Float32Array([1,1,-1,-1]),"float32","int16"),[32767,32767,-32768,-32768]),e.deepEqual(convert(new Float32Array([1,1,-1,-1]),"float32","int8"),[127,127,-128,-128]),e.deepEqual(convert(new Float32Array([1,1,-1,-1]),"float32","uint16"),[65535,65535,0,0]),e.end()})),test("interleave",(e=>{let t=new Uint8Array([0,2,4,6,1,3,5,7]);e.deepEqual(convert(t,"planar","interleaved"),[0,1,2,3,4,5,6,7]),e.end()})),test("deinterleave",(e=>{let t=new Uint8Array([0,1,2,3,4,5,6,7]),r=convert(t,{interleaved:!0},{interleaved:!1});e.deepEqual(r,[0,2,4,6,1,3,5,7]),e.notEqual(t,r),e.ok(r instanceof Uint8Array),e.end()})),test("array dst",(e=>{let t=new Uint8Array([0,255,0,255,0,255,0,255]),r=convert(t,{interleaved:!0},"array planar");e.deepEqual(r,[-1,-1,-1,-1,1,1,1,1]),e.ok(Array.isArray(r)),e.end()})),test("arraybuffer dst",(e=>{let t=new Uint8Array([0,255,0,255,0,255,0,255]),r=convert(t,{interleaved:!0},"arraybuffer planar");e.ok(r instanceof ArrayBuffer),e.end()})),test("speaker test",(e=>{e.deepEqual(convert(new Float32Array([-1,0,1,0]),{type:"float32",interleaved:!1,channels:2},{type:"int16",interleaved:!0}),[-32768,32767,0,0]),e.deepEqual(convert(new Float32Array([-1,0,1,0]),{dtype:"float32",interleaved:!1,channels:2},{dtype:"int16",interleaved:!0}),[-32768,32767,0,0]),e.end()})),test("no srcFormat",(e=>{e.deepEqual(convert(new Float32Array([-1,0,1,0]),{type:"int16",interleaved:!0}),[-32768,32767,0,0]),e.deepEqual(convert(new Uint8Array([0,255]),"uint16"),[0,65535]),e.end()})),test.skip("audiobuffer output",(e=>{let t=convert([0,0,1,1],"audiobuffer");e.ok(isAudioBuffer(t)),e.equal(t.numberOfChannels,1),e.equal(t.length,4);let r=convert([0,0,1,1],"stereo audiobuffer");e.ok(isAudioBuffer(r)),e.equal(r.numberOfChannels,2),e.equal(r.length,2),e.end()})),test("audiobuffer input (eastern egg, not the real API)",(e=>{var t=new AudioBuffer(null,{length:4});t.getChannelData(0).set(new Float32Array([0,0,1,1]));let r=convert(t,"audiobuffer","array");e.deepEqual(r,[0,0,1,1]);var a=new AudioBuffer(null,{length:2,numberOfChannels:2});a.getChannelData(0).set(new Float32Array([1,0])),a.getChannelData(1).set(new Float32Array([0,1]));let n=convert(a,"audiobuffer","array");e.deepEqual(n,[1,0,0,1]),e.end()})),test("dst argument",(e=>{let t=new Uint8Array(4);convert([0,1,0,-1],"uint8",t),e.deepEqual(t,[127,255,127,0]);let r=new Uint16Array(2);convert(new Uint8Array([0,255]),r),e.deepEqual(r,[0,65535]);let a=[];convert(new Uint8Array([0,255,0,255]),"interleaved","float32 planar",a),e.deepEqual(a,[-1,-1,1,1]),e.end()})),test("should not shortcut arraybuffers",(e=>{let t=new Float32Array([0,0,1,1]).buffer,r=convert(t,{type:"float32",interleaved:!0},"float32 interleaved");e.ok(r instanceof Float32Array,"Should ensure output type"),e.deepEqual(r,[0,0,1,1]),e.end()})),test("arraybuffer to float32",(e=>{let t=new AudioBuffer(null,{length:4});t.getChannelData(0).set([0,1,0,-1]);let r=convert(t,"float32");e.deepEqual(r,[0,1,0,-1]),e.end()})),test("put result into itself",(e=>{let t=new Float32Array([0,1,0,1]);convert(t,"interleaved","planar",t),e.equal(t,t),e.deepEqual(t,[0,0,1,1]),e.end()})),test("output arraybuffer should preserve input dtype",(e=>{let t=convert(new Float32Array([-1,0,1]),"float32","arraybuffer");e.ok(t instanceof ArrayBuffer),e.deepEqual(new Float32Array(t),[-1,0,1]),convert(new Float32Array([-1,0,1]).buffer,"float32","arraybuffer"),e.ok(t instanceof ArrayBuffer),e.deepEqual(new Float32Array(t),[-1,0,1]),e.end()})),test("audio-buffer-list",(e=>{let t=convert(new ABList(10,{channels:2}),"float32");e.ok(t instanceof Float32Array),e.equal(t.length,20),e.equal(t[0],0),e.end()})),test("full args",(e=>{let t=convert([0,1],"float32",void 0,new Uint8Array(2));e.deepEqual(t,[127,255]),e.end()})),test("put data to arraybuffer",(e=>{let t=convert(new Uint8Array([127,255]),new ArrayBuffer(2));e.deepEqual(new Uint8Array(t),[127,255]),e.end()}));